#include<stdio.h>

int main(){

	size_t N=10;
	double L=1.0e0;
	double a[N];
	double dx=L/((double)N - 1.0e0);

	for (int i = 0; i < N; i++) {
		a[i]=(double)i*dx;
	}

	FILE *fp;
	fp=fopen("restart.bin","w");
 	fwrite(a, sizeof(a), 1, fp);	
	fclose(fp);

	return(0);
}
